Browse Source

added w-scan - uploaded2-3-hevc-base-PPA

master
mango 2 years ago
parent
commit
468324bf8b
84 changed files with 33947 additions and 0 deletions
  1. +1
    -0
      w/w-scan-20170107/.pc/.quilt_patches
  2. +1
    -0
      w/w-scan-20170107/.pc/.quilt_series
  3. +1
    -0
      w/w-scan-20170107/.pc/.version
  4. +0
    -0
      w/w-scan-20170107/.pc/applied-patches
  5. +1
    -0
      w/w-scan-20170107/AUTHORS
  6. +340
    -0
      w/w-scan-20170107/COPYING
  7. +534
    -0
      w/w-scan-20170107/ChangeLog
  8. +229
    -0
      w/w-scan-20170107/INSTALL
  9. +14
    -0
      w/w-scan-20170107/Makefile.add
  10. +28
    -0
      w/w-scan-20170107/Makefile.am
  11. +848
    -0
      w/w-scan-20170107/Makefile.in
  12. +0
    -0
      w/w-scan-20170107/NEWS
  13. +108
    -0
      w/w-scan-20170107/README
  14. +971
    -0
      w/w-scan-20170107/aclocal.m4
  15. +91
    -0
      w/w-scan-20170107/atsc_psip_section.c
  16. +95
    -0
      w/w-scan-20170107/atsc_psip_section.h
  17. +351
    -0
      w/w-scan-20170107/char-coding.c
  18. +42
    -0
      w/w-scan-20170107/char-coding.h
  19. +141
    -0
      w/w-scan-20170107/config.h
  20. +140
    -0
      w/w-scan-20170107/config.h.in
  21. +5957
    -0
      w/w-scan-20170107/configure
  22. +104
    -0
      w/w-scan-20170107/configure.in
  23. +963
    -0
      w/w-scan-20170107/countries.c
  24. +366
    -0
      w/w-scan-20170107/countries.h
  25. +247
    -0
      w/w-scan-20170107/debian/changelog
  26. +1
    -0
      w/w-scan-20170107/debian/compat
  27. +23
    -0
      w/w-scan-20170107/debian/control
  28. +37
    -0
      w/w-scan-20170107/debian/copyright
  29. +3
    -0
      w/w-scan-20170107/debian/docs
  30. +1
    -0
      w/w-scan-20170107/debian/examples
  31. +2
    -0
      w/w-scan-20170107/debian/gbp.conf
  32. +36
    -0
      w/w-scan-20170107/debian/repack-upstream.sh
  33. +4
    -0
      w/w-scan-20170107/debian/rules
  34. +1
    -0
      w/w-scan-20170107/debian/source/format
  35. +1
    -0
      w/w-scan-20170107/debian/source/options
  36. +3
    -0
      w/w-scan-20170107/debian/watch
  37. +623
    -0
      w/w-scan-20170107/depcomp
  38. +1855
    -0
      w/w-scan-20170107/descriptors.c
  39. +358
    -0
      w/w-scan-20170107/descriptors.h
  40. +649
    -0
      w/w-scan-20170107/diseqc.c
  41. +30
    -0
      w/w-scan-20170107/diseqc.h
  42. +283
    -0
      w/w-scan-20170107/doc/README.file_formats
  43. +100
    -0
      w/w-scan-20170107/doc/README_VLC_DVB
  44. +72
    -0
      w/w-scan-20170107/doc/rotor.conf
  45. +589
    -0
      w/w-scan-20170107/doc/service_list.dtd
  46. +39
    -0
      w/w-scan-20170107/doc/services.xml
  47. +320
    -0
      w/w-scan-20170107/doc/w_scan.1
  48. +142
    -0
      w/w-scan-20170107/dump-dvbscan.c
  49. +41
    -0
      w/w-scan-20170107/dump-dvbscan.h
  50. +74
    -0
      w/w-scan-20170107/dump-mplayer.c
  51. +42
    -0
      w/w-scan-20170107/dump-mplayer.h
  52. +551
    -0
      w/w-scan-20170107/dump-vdr.c
  53. +52
    -0
      w/w-scan-20170107/dump-vdr.h
  54. +397
    -0
      w/w-scan-20170107/dump-vlc-m3u.c
  55. +52
    -0
      w/w-scan-20170107/dump-vlc-m3u.h
  56. +120
    -0
      w/w-scan-20170107/dump-xine.c
  57. +44
    -0
      w/w-scan-20170107/dump-xine.h
  58. +318
    -0
      w/w-scan-20170107/dump-xml.c
  59. +34
    -0
      w/w-scan-20170107/dump-xml.h
  60. +502
    -0
      w/w-scan-20170107/dvbscan.c
  61. +115
    -0
      w/w-scan-20170107/dvbscan.h
  62. +1074
    -0
      w/w-scan-20170107/emulate.c
  63. +27
    -0
      w/w-scan-20170107/emulate.h
  64. +142
    -0
      w/w-scan-20170107/extended_frontend.h
  65. +1205
    -0
      w/w-scan-20170107/iconv_codes.c
  66. +33
    -0
      w/w-scan-20170107/iconv_codes.h
  67. +519
    -0
      w/w-scan-20170107/install-sh
  68. +118
    -0
      w/w-scan-20170107/lnb.c
  69. +29
    -0
      w/w-scan-20170107/lnb.h
  70. +375
    -0
      w/w-scan-20170107/missing
  71. +636
    -0
      w/w-scan-20170107/parse-dvbscan.c
  72. +36
    -0
      w/w-scan-20170107/parse-dvbscan.h
  73. +160
    -0
      w/w-scan-20170107/satellites.c
  74. +4909
    -0
      w/w-scan-20170107/satellites.dat
  75. +83
    -0
      w/w-scan-20170107/satellites.h
  76. +4234
    -0
      w/w-scan-20170107/scan.c
  77. +79
    -0
      w/w-scan-20170107/scan.h
  78. +52
    -0
      w/w-scan-20170107/section.c
  79. +41
    -0
      w/w-scan-20170107/section.h
  80. +219
    -0
      w/w-scan-20170107/si_types.h
  81. +746
    -0
      w/w-scan-20170107/tools.c
  82. +137
    -0
      w/w-scan-20170107/tools.h
  83. +6
    -0
      w/w-scan-20170107/version.h
  84. BIN
      w/w-scan_20170107.orig.tar.xz

+ 1
- 0
w/w-scan-20170107/.pc/.quilt_patches View File

@@ -0,0 +1 @@
debian/patches

+ 1
- 0
w/w-scan-20170107/.pc/.quilt_series View File

@@ -0,0 +1 @@
series

+ 1
- 0
w/w-scan-20170107/.pc/.version View File

@@ -0,0 +1 @@
2

+ 0
- 0
w/w-scan-20170107/.pc/applied-patches View File


+ 1
- 0
w/w-scan-20170107/AUTHORS View File

@@ -0,0 +1 @@
see README

+ 340
- 0
w/w-scan-20170107/COPYING View File

@@ -0,0 +1,340 @@
GNU GENERAL PUBLIC LICENSE
Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc.
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.

Preamble

The licenses for most software are designed to take away your
freedom to share and change it. By contrast, the GNU General Public
License is intended to guarantee your freedom to share and change free
software--to make sure the software is free for all its users. This
General Public License applies to most of the Free Software
Foundation's software and to any other program whose authors commit to
using it. (Some other Free Software Foundation software is covered by
the GNU Lesser General Public License instead.) You can apply it to
your programs, too.

When we speak of free software, we are referring to freedom, not
price. Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
this service if you wish), that you receive source code or can get it
if you want it, that you can change the software or use pieces of it
in new free programs; and that you know you can do these things.

To protect your rights, we need to make restrictions that forbid
anyone to deny you these rights or to ask you to surrender the rights.
These restrictions translate to certain responsibilities for you if you
distribute copies of the software, or if you modify it.

For example, if you distribute copies of such a program, whether
gratis or for a fee, you must give the recipients all the rights that
you have. You must make sure that they, too, receive or can get the
source code. And you must show them these terms so they know their
rights.

We protect your rights with two steps: (1) copyright the software, and
(2) offer you this license which gives you legal permission to copy,
distribute and/or modify the software.

Also, for each author's protection and ours, we want to make certain
that everyone understands that there is no warranty for this free
software. If the software is modified by someone else and passed on, we
want its recipients to know that what they have is not the original, so
that any problems introduced by others will not reflect on the original
authors' reputations.

Finally, any free program is threatened constantly by software
patents. We wish to avoid the danger that redistributors of a free
program will individually obtain patent licenses, in effect making the
program proprietary. To prevent this, we have made it clear that any
patent must be licensed for everyone's free use or not licensed at all.

The precise terms and conditions for copying, distribution and
modification follow.

GNU GENERAL PUBLIC LICENSE
TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License applies to any program or other work which contains
a notice placed by the copyright holder saying it may be distributed
under the terms of this General Public License. The "Program", below,
refers to any such program or work, and a "work based on the Program"
means either the Program or any derivative work under copyright law:
that is to say, a work containing the Program or a portion of it,
either verbatim or with modifications and/or translated into another
language. (Hereinafter, translation is included without limitation in
the term "modification".) Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not
covered by this License; they are outside its scope. The act of
running the Program is not restricted, and the output from the Program
is covered only if its contents constitute a work based on the
Program (independent of having been made by running the Program).
Whether that is true depends on what the Program does.

1. You may copy and distribute verbatim copies of the Program's
source code as you receive it, in any medium, provided that you
conspicuously and appropriately publish on each copy an appropriate
copyright notice and disclaimer of warranty; keep intact all the
notices that refer to this License and to the absence of any warranty;
and give any other recipients of the Program a copy of this License
along with the Program.

You may charge a fee for the physical act of transferring a copy, and
you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Program or any portion
of it, thus forming a work based on the Program, and copy and
distribute such modifications or work under the terms of Section 1
above, provided that you also meet all of these conditions:

a) You must cause the modified files to carry prominent notices
stating that you changed the files and the date of any change.

b) You must cause any work that you distribute or publish, that in
whole or in part contains or is derived from the Program or any
part thereof, to be licensed as a whole at no charge to all third
parties under the terms of this License.

c) If the modified program normally reads commands interactively
when run, you must cause it, when started running for such
interactive use in the most ordinary way, to print or display an
announcement including an appropriate copyright notice and a
notice that there is no warranty (or else, saying that you provide
a warranty) and that users may redistribute the program under
these conditions, and telling the user how to view a copy of this
License. (Exception: if the Program itself is interactive but
does not normally print such an announcement, your work based on
the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole. If
identifiable sections of that work are not derived from the Program,
and can be reasonably considered independent and separate works in
themselves, then this License, and its terms, do not apply to those
sections when you distribute them as separate works. But when you
distribute the same sections as part of a whole which is a work based
on the Program, the distribution of the whole must be on the terms of
this License, whose permissions for other licensees extend to the
entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest
your rights to work written entirely by you; rather, the intent is to
exercise the right to control the distribution of derivative or
collective works based on the Program.

In addition, mere aggregation of another work not based on the Program
with the Program (or with a work based on the Program) on a volume of
a storage or distribution medium does not bring the other work under
the scope of this License.

3. You may copy and distribute the Program (or a work based on it,
under Section 2) in object code or executable form under the terms of
Sections 1 and 2 above provided that you also do one of the following:

a) Accompany it with the complete corresponding machine-readable
source code, which must be distributed under the terms of Sections
1 and 2 above on a medium customarily used for software interchange; or,

b) Accompany it with a written offer, valid for at least three
years, to give any third party, for a charge no more than your
cost of physically performing source distribution, a complete
machine-readable copy of the corresponding source code, to be
distributed under the terms of Sections 1 and 2 above on a medium
customarily used for software interchange; or,

c) Accompany it with the information you received as to the offer
to distribute corresponding source code. (This alternative is
allowed only for noncommercial distribution and only if you
received the program in object code or executable form with such
an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for
making modifications to it. For an executable work, complete source
code means all the source code for all modules it contains, plus any
associated interface definition files, plus the scripts used to
control compilation and installation of the executable. However, as a
special exception, the source code distributed need not include
anything that is normally distributed (in either source or binary
form) with the major components (compiler, kernel, and so on) of the
operating system on which the executable runs, unless that component
itself accompanies the executable.

If distribution of executable or object code is made by offering
access to copy from a designated place, then offering equivalent
access to copy the source code from the same place counts as
distribution of the source code, even though third parties are not
compelled to copy the source along with the object code.

4. You may not copy, modify, sublicense, or distribute the Program
except as expressly provided under this License. Any attempt
otherwise to copy, modify, sublicense or distribute the Program is
void, and will automatically terminate your rights under this License.
However, parties who have received copies, or rights, from you under
this License will not have their licenses terminated so long as such
parties remain in full compliance.

5. You are not required to accept this License, since you have not
signed it. However, nothing else grants you permission to modify or
distribute the Program or its derivative works. These actions are
prohibited by law if you do not accept this License. Therefore, by
modifying or distributing the Program (or any work based on the
Program), you indicate your acceptance of this License to do so, and
all its terms and conditions for copying, distributing or modifying
the Program or works based on it.

6. Each time you redistribute the Program (or any work based on the
Program), the recipient automatically receives a license from the
original licensor to copy, distribute or modify the Program subject to
these terms and conditions. You may not impose any further
restrictions on the recipients' exercise of the rights granted herein.
You are not responsible for enforcing compliance by third parties to
this License.

7. If, as a consequence of a court judgment or allegation of patent
infringement or for any other reason (not limited to patent issues),
conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License. If you cannot
distribute so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you
may not distribute the Program at all. For example, if a patent
license would not permit royalty-free redistribution of the Program by
all those who receive copies directly or indirectly through you, then
the only way you could satisfy both it and this License would be to
refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under
any particular circumstance, the balance of the section is intended to
apply and the section as a whole is intended to apply in other
circumstances.

It is not the purpose of this section to induce you to infringe any
patents or other property right claims or to contest validity of any
such claims; this section has the sole purpose of protecting the
integrity of the free software distribution system, which is
implemented by public license practices. Many people have made
generous contributions to the wide range of software distributed
through that system in reliance on consistent application of that
system; it is up to the author/donor to decide if he or she is willing
to distribute software through any other system and a licensee cannot
impose that choice.

This section is intended to make thoroughly clear what is believed to
be a consequence of the rest of this License.

8. If the distribution and/or use of the Program is restricted in
certain countries either by patents or by copyrighted interfaces, the
original copyright holder who places the Program under this License
may add an explicit geographical distribution limitation excluding
those countries, so that distribution is permitted only in or among
countries not thus excluded. In such case, this License incorporates
the limitation as if written in the body of this License.

9. The Free Software Foundation may publish revised and/or new versions
of the General Public License from time to time. Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

Each version is given a distinguishing version number. If the Program
specifies a version number of this License which applies to it and "any
later version", you have the option of following the terms and conditions
either of that version or of any later version published by the Free
Software Foundation. If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

10. If you wish to incorporate parts of the Program into other free
programs whose distribution conditions are different, write to the author
to ask for permission. For software which is copyrighted by the Free
Software Foundation, write to the Free Software Foundation; we sometimes
make exceptions for this. Our decision will be guided by the two goals
of preserving the free status of all derivatives of our free software and
of promoting the sharing and reuse of software generally.

NO WARRANTY

11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY
FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN
OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES
PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS
TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE
PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING,
REPAIR OR CORRECTION.

12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR
REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES,
INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING
OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED
TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY
YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER
PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE
POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Programs

If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.

To do so, attach the following notices to the program. It is safest
to attach them to the start of each source file to most effectively
convey the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

<one line to give the program's name and a brief idea of what it does.>
Copyright (C) <year> <name of author>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA


Also add information on how to contact you by electronic and paper mail.

If the program is interactive, make it output a short notice like this
when it starts in an interactive mode:

Gnomovision version 69, Copyright (C) year name of author
Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
This is free software, and you are welcome to redistribute it
under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License. Of course, the commands you use may
be called something other than `show w' and `show c'; they could even be
mouse-clicks or menu items--whatever suits your program.

You should also get your employer (if you work as a programmer) or your
school, if any, to sign a "copyright disclaimer" for the program, if
necessary. Here is a sample; alter the names:

Yoyodyne, Inc., hereby disclaims all copyright interest in the program
`Gnomovision' (which makes passes at compilers) written by James Hacker.

<signature of Ty Coon>, 1 April 1989
Ty Coon, President of Vice

This General Public License does not permit incorporating your program into
proprietary programs. If your program is a subroutine library, you may
consider it more useful to permit linking proprietary applications with the
library. If this is what you want to do, use the GNU Lesser General
Public License instead of this License.

+ 534
- 0
w/w-scan-20170107/ChangeLog View File

@@ -0,0 +1,534 @@
ChangeLog:
--------------------
2015-01-01
- check data for descriptor 0x83 to be multiple of 4bytes;
On S4E8 0x83 seems to be used for something different as LCN and
caused segfault if read in 4byte packets.
May be this abuse of 0x83 renders parsing of LCN unusable at all.
- find_transponder_by_freq(): fix logging (add missing print_transponder() calls)
- emulated dvb device;
now accept DVB-S/S2 logs down to 20130331. However, logs earlier
than 20140529 are missing last two bytes in SI data hexdumps. :(
- modify scan algorithm for tsid, onid, nid;
On S4E8, PAT transports wrong transport_stream_id - and therefore
scan was endless loop. :(
This was actually not an w_scan error, it is an error in sats si
tables.
1. find_transponder()
- now do a strict check for (ONID,NID,TSID); check all 3 pids.
2. check_duplicate_transponders()
- copy NIT updated tp props from deleted tp to remaining tp,
if remaining tp was not yet updated. Sync ids as well.
- new function copy_duplicate_tp() to not have this copy several times.
3. parse_pat()
- update tsid for TERR scans only. On terr scans, freq may be '0' or
completely wrong in NIT and find_transponder_by_freq() cannot find
those transponders otherwise.
4. parse_nit()
- move update of (ONID,NID,TSID) to later position, where also tp props
are updated. Code easier to read this way.
- call check_duplicate_transponders() as soon as new tp was added from
NIT.
5. tune_to_transponder()
- add missing polarization check for sat - this one is a bug fix.
- vdr output: update translation table for satname: w_scan <-> VDR
- scr_cmd: fix FE_DISEQC_SEND_MASTER_CMD data pointer.
- update S4E8 transponder list

2014-11-22
- move '-lrt' from LDFLAGS to AM_LDFLAGS
- move nested function LeapYear() outside modified_julian_date_to_utc()
- add stream_type 0x24 (HEVC)
- bug fix: on Finnish DVBT/T2 network, 'other terrestrial frequencies' are
signalled by other_frequency flag, but not transmitted in NIT.
If those freqs could not be tuned due to bad reception, w_scan gets in
an endless loop; fix it. Thanks to Olli Salonen for report and help
debugging on remote side.

2014-07-27
- for changes against 20140118, see
* 2014-07-12 (dev)
* 2014-06-28 (dev)
* 2014-05-29 (dev)
* 2014-04-23 (dev)

2014-07-12 (dev)
- alloc_transponder(): check for polarization on sat.
- update S19E2, based on emulated scan with logfiles
from easy-vdr.de developers.
- move freq calculations from Hz to MHz to separate func
- if tuning fails on on any tp; instead of simply retrying with same
settings -> redo with as much as possible params to AUTO. On some
wrong NIT tables, params are just wrong, this *may* help in some cases.
- start reworking VLC xspf playlist:
* validate using http://validator.xspf.org/
(NOTE: VLC-2.1.4 saved DVB xspf doesnt conform to XSPF)
* compare to VLC-2.1.4
* test VLC DVBT on Win64 using BDA

2014-06-28 (dev)
- new contact email address
- fix compile warnings reported by A.Palosaari in parse-dvbscan.c
- improve DVB-T/T2 scans for Finland, thanks to A.Palosaari,
now doing separate DVB-T2 loop for terr scans.
- add generic w_scan XML output format, to be used for data exchange
with w_scan.
- frequency_list_descriptor: dont ignore coding_type
- simplify struct transponder
- add long commandline arguments (short ones are still working.)
- new double linked lists (foreseen to be sortable later.)
- new: logical_channel_descriptor
- add dvb device emulation for debugging based on logfiles (developer use only.)
- new signal detection

2014-05-29 (dev)
- fix scr freq rounding

2014-04-23 (dev)
- add JESS/EN50607 && refactor EN50494
- add Australia single LO LNB. Thanks to Martin Lang.
- modify initial tuning data output to put plp_id as last item
- remove kaffeine output as its no longer possible to support it
- add fflush command for stderr && stdout

2014-01-18
- improve scr
- rewrite setup_scr()
- take VCO offset caused by 4MHz step size into account.
- check return value in set_frontend()
- reduce delay after setting 18V LNB voltage to 5msec
- reduce diseqc repeat to 100ms
- remove a few comments and debug stuff
- still experimental, waiting for tests - if you own such devices, pls send
me logs: 'w_scan -fs -s SXXX (..) -u<ID>:<USERBAND>:<A|B> 2>&1 | tee log.txt'
- VLC xspf
- remove unused stuff && started to adopt to current vlc;
but no doc avail for this VLC file format. :(
- Sat scan: add missing check of setup_switch() return value.

2014-01-02
- add experimental(!) support for scr.
i dont have spec && need testers for EN50494 for proper support.
2013-10-31
- update 19,2E, 23,5E, 28,2E. Thanks to John Horck.
2013-03-31
- adapt to vdr next version number, skipping support for vdr < 1.7.4
- fix compiling for newer frontend.h
- apply small other patches since 2012-11-11
2012-11-11
- apply patch from Michael Stilmant, who discovered two string buffers
being too small by one byte.
2012-06-05
- since some dvb drivers are buggy and dont tune DVB-S with ROLLOFF_AUTO,
therefore now explictly set ROLLOFF_35 in case of DVB-S. Thanks to R.Warsow
for report && testing.
NOTE: this is just a work-around for broken DVB-S drivers,
since DVB-S means by DVB standard *always* RO = 0.35
- print transponder data from satellite list during scan to make debug reports easier
to read
2012-05-25
- update all supported satellites
- add the following satellites:
* 180.0 east Intelsat 18
* 172.0 east GE 23
* 169.0 east Intelsat 5
* 162.0 east Superbird B2
* 154.0 east JCSAT 2A
* 144.0 east Superbird C2
* 134.0 east Telstar 18
* 134.0 east Apstar 6
* 132.0 east Vinasat 1 / JCSAT 5A
* 128.0 east JCSAT 3A
* 125.0 east ChinaSat 6A
* 124.0 east JCSAT 4A
* 122.2 east AsiaSat 4
* 118.0 east Telkom 2
* 116.0 east Koreasat 6 / ABS 7
* 115.5 east ChinaSat 6B
* 113.0 east Koreasat 5 / Palapa D
* 110.5 east ChinaSat 10
* 110.0 east NSat 110 / BSat 2C/3A / JCSat 110R
* 103.0 east Express A2
* 86.5 east KazSat 2
* 85.0 east Horisons 2 / Intelsat 15
* 30.5 east Arabsat 5A
* 20.0 east Arabsat 5C
* 3.0 east Eutelsat 3A/3C, Rascom 1R
* 31.5 west Intelsat 25
* 34.5 west Intelsat 903
* 37.5 west NSS 10 / Telstar 11N
* 40.5 west NSS 806
* 43.0 west Intelsat 11
* 45.0 west Intelsat 14
* 50.0 west Intelsat 1R
* 53.0 west Intelsat 707
* 55.5 west Intelsat 805
* 58.0 west Intelsat 9/16
* 63.0 west Telstar 14R
* 65.0 west Star One C1
* 70.0 west Star One C2
* 72.0 west AMC 6
* 78.0 west SIMON BOLIVAR
* 83.0 west AMC 9
* 84.0 west Brasilsat B4
* 85.0 west AMC 16
* 87.0 west SES 2
* 89.0 west Galaxy 28
* 95.0 west Nimiq 1
* 93.1 west Galaxy 25
* 95.0 west Galaxy 3C
* 99.2 west Galaxy 16 / Spaceway 2
* 101.0 west SES 1
* 103.0 west AMC 1
* 105.0 west AMC 15/18
* 107.3 west Anik F1/F1R
* 111.1 west Anik F2
* 113.0 west SatMex 6
* 116.8 west SatMex 5
* 119.0 west Anik F3
* 121.0 west Echostar 9 / Galaxy 23
* 123.0 west Galaxy 18
* 125.0 west Galaxy 14 / AMC 21
* 127.0 west Galaxy 13 / Horizons 1
* 131.0 west AMC 11
* 133.0 west Galaxy 15
* 135.0 west AMC 10
* 135.0 west AMC 7
* 135.0 west AMC 8
* 177.0 west NSS 9
- VLC xspf output: as VLC-2.x.x no longer supports comma (VLC-1.x.x did) but only colon
as separator, update xspf output format accordingly. Thanks to Jacek Sliwerski for
report && samples.
- increase max number of supported dvb adapters, based on a patch send by Julian Scheel.
- auto scan: /dev/dvb/adapter(0..15)
- by option -a <NUM>: /dev/dvb/adapter(0..31)
- blacklist ( = look for a better device on auto scan ) Pinnacle PCTV 290e for cable:
- known to have weakness on cable because of integrated preamp
- it's driver doesnt report symbolrates correctly.
- for terrestrial scan it's still a preferred device
- no longer distribute a precompiled version of w_scan inside package.

2012-04-15
- add a missing 'break' for initial tuning data on satellite,
reported by L. Dolezel
- rework audio language descriptor to avoid segfault,
reported by L. Dolezel
- add Israel DVB-T, requested by B. Nahari
- update S13E0 transponders
- fix bug introduced by 'transponder scan logic modified' in 20120128,
which prevents -x option on US vsb/qam, reported by 'locuse'
- add experimental cmake build support. For now building with autotools
is still the standard way, but if you want to test, use
cd w_scan-<VERSION>
mkdir build && cd build
cmake ..
make
make install
2012-01-28
- modify dvb api < 5.5 logic, to find out which delsys are supported by hw
- init-data: plot only verified data
- transponder scan logic modified:
- alloc_transponder(): add newly allocated transponder only to new_transponders,
if freq not yet known.
- tune_to_transponder(): add tuned transponder only to scanned_transponders,
if freq not yet known.
- find_transponder(): replaced by find_transponder_by_freq()
- TODO: check side effects on 2nd gen delsys
2012-01-12
- add hack to allow compile against api 5.3
2012-01-11
- initial DVB-T2 support. Thanks for testing, code snippets and suggestions to Rolf Ahrenberg.
- go back to allow to compile with DVB-API >= 5.3 and remove configure check (too early)
- add video type to vdr output
- change CAid to uppercase in vdr output
- restructure Parameter print inside vdr output
- add audio type and subtitling pids if vdr version > 1.7 (even if no '1.8.0' exists yet)
2012-01-08
- fix a few compiler warnings, reported by rofa
- fix configure script to check for DVB API >= 5.5 as reported by rofa
- copy current transponder before parsing NIT in case of terrestrial
since T2 delsys descriptor doesnt report all settings belonging to hardware.

2012-01-07
- big cleanup:
- no longer tune with dvb api 3.2 drivers (pls upgrade your drivers)
- remove all occurencies of..
- BANDWIDTH_*
- FE_QPSK
- FE_QAM
- FE_OFDM
- FE_ATSC
- remove #ifdef's for features in dvb api added before 5.5;
therefore: COMPILING NOW NEEDS DVB API 5.5 OR HIGHER !
- because ofdm is no longer used by DVB-T only, Satellite frontends not
only use QPSK, DVB-C2 will use OFDM similar to DVB-T(2):
- rename ofdm_* to terr_*
- rename qam_* to cable_*
- rename qpsk_* to sat_*
- rename tuning parameters
- prepare on newer desciptors:
- add T2_delivery_system_descriptor (untested - need testers)
- add C2_delivery_system_descriptor (no linux support yet at all)
- prepare on SH_delivery_system_descriptor (no functionality yet)
- add network_change_notify_descriptor (no functionality yet)
- prepare on DVB-T2 scan:
- add bandwidths 10MHz, 1,712MHz
- add FEC_3_5, FEC_4_5 (DVB-T2)
- add QAM256 to terrestrial scan (DVB-T2)
- add transmission modes 1k,16k,32k (DVB-T2)
- add guard interval 1/128, 19/128, 19/256
- add several new items to the internal transponder tuning data for later support of
DVB-C2 and DVB-T2
- now set plp_id during tune id terrestrial scan and delivery_system = SYS_DVBT2
- try to discover supported delivery_systems per frontend using new ioctl DTV_ENUM_DELSYS
if DVB driver has api version 5.5 or higher (fallback otherwise)
- now do CRC32 checks in w_scan and prolong timeouts if CRC failures
occur (may help in some cases if bad reception)
- extend output format for 'scan' initial_tuning_data to deal with
DVB-T2/DVB-C2.
- old: # T <freq> <bw> <fec_hi> <fec_lo> <mod> <tm> <guard> <hi> [# comment]
# C <freq> <sr> <fec> <mod> [# comment]

- new: # T[2] [plp_id] [system_id] <freq> <bw> <fec_hi> <fec_lo> <mod> <tm> <guard> <hi> [# comment]
# C[2] [plp_id] [data_slice_id] [system_id] <freq> <sr> <fec> <mod> [# comment]
(NOTE: it's time to adopt 'scan' to API V5 && at least DVB-T2!)
- update documentation in ./doc to reflect file change of initial_tuning_data


2011-10-11
- add S152E0, S156E0, S166E0, update S160E0, thanks to ozvdr (Hans)
- no longer skip over the following audio formats in case of VDR output (now supported by vdr)
- 13818-7 audio w. ADTS transp syntax
- 14496-3 audio w. LATM transp syntax
- change xine output:
old: output standard audio only.
new: output AC3 audio. If not found, fall back to standard audio
- change mplayer output:
old: output '+' separated list of standard audio pids.
new: output '+' separated list of ac3 audio pids, followed by standard audio pids.
- change vlc xspf output:
- apply stray newlines patch for vlc dvb-s format,
as reported by Juergen Lock (cosmetics)
- convert to UTF-8 using glibc
- remove unneeded duplicated char recoding

2011-07-02
- add requested format 'Gstreamer Plugin dvbsrc'
- fix counting services
- cosmetics

2011-06-16
- updates to several satellites, thanks to Dotan Porat for
reporting and providing initial patches
- Nilesat 101/102 + Atlantik Bird 4A
- one transponder on Astra 19E2
- Amos 1/2/3

2011-05-02
- fix wrong ATSC 8VSB and 16VSB identifiers for xine output, thanks to M.Krufky
- now assume country = US, if frontend type = ATSC. This should work, since
most non-US countries using ATSC still use the same channel lists as US.
- now assume vdr format vdr-1.7, if VSB/QAM-B scan with vdr settings.
ATSC users of VDR anyway need to patch their sources or upgrade to
latest developer releases.
- check if choosen frontend type fits to choosen scan type
- extend -a option to allow string /dev/dvb/adapterN/frontendM
you may now use -a (0..7) or -a /dev/dvb/adapter(0..7)/frontend(0..7)

2011-04-10
- fix qam setting BR
- add option -C <charset>, output coding (default: guess users codepage).
if given, w_scan uses iconv to translate to this charset,
i.e. 'w_scan -fc -cDE -C utf-8'
if not given, w_scan tries to *guess* your charset and translates to that.
- now guess users country if -c <country> not given.
- add compiler flags: Wall, Wextra, Wno-comment, Wswitch-default, Wno-unused-parameter
- remove all remaining <TAB> whitespaces.

2011-03-29
- add Brasil ISDB-T/DVB-C, thanks to Mauro Carvalho Chehab
- changed command line option '-S':
- ordering of srates
- add 6086
- add 5217
- remove 7000, because unreasonable
- update man page accordingly
- update S23E5 TP16

2011-03-13
- update S41E9 and rename to S42E0

2011-03-06
- NOTE@maintainers: it's called 'w_scan', not 'w-scan' or 'wscan'.<br>
Please fix if mistyped in your repo.
- fix memory leak in parse-dvbscan.c:142 (dvbscan_parse_tuningdata; char * buf)
- fix memory leak in parse-dvbscan.c:489 (dvbscan_parse_rotor_positions; char * buf)
- fix double deallocating pointer in scan.c:2999 (main; int frontend_fd)
- fix memory leak in scan.c:2654 (main; char * country)
- fix memory leak in scan.c:2722 (main; char * satellite)
- fix memory leak in scan.c:3192 (main; char * initdata)
- remove unused videodev.h from countries.c. Thanks to Felix Kaechele.
- fix octals in countries.c (backport from vdr-plugin wirbelscan-0.0.7)
- check/report hardware frequency and symbolrate limits to avoid error
messages in syslog
- fix option -L (VLC output) in case of DVB-S. Thanks to Juergen Lock.

2011-02-06
- bugfix: fix wrong comparison in check_frontend(), which lets the caller assume
that to not yet have pll lock and wait until timeout is over. This may speed up
each tuning to a new transponder a little. Thanks to Dick Streefland.
- set PILOT_AUTO on satellite transponders found by NIT. There's no flag inside NIT
to find explicitly 'ON' or 'OFF', so AUTO is the very best approach here.
Thanks to Dick Streefland.
- change <TAB> to <SPACE> in satellites.{c,h} and countries.{c.h} for better compat
with wirbelscan-0.0.6.
- add channel identifier USERLIST to channellist_t for compat with wirbelscan-0.0.6

2010-12-04
- add experimental output format libvlc xspl playlist. Thanks to Zouhair Souissi for libVLC m3u patch,
which was partially used for implementation.
- update manpage
- multiple AC3 pids
- bug fix: missing string termination in parse_psip_vct (ATSC only)
- cosmetics
2010-10-01
- add: DVB-C symbol rates 6956, 6956.5 for New Zealand
- mplayer output format as suggested by Pedro A. Aranda
- cosmetics

2010-05-29
- bugfix: if compiled with DVB-API-5.x, but using DVB-API-3.2 @ DVB-S,
IF was not assigned before tuning. Thanks to Juergen Lock.
- added some descriptor id's
- update Astra 1E/1G/3A
- changed help examples (wrong country id). Thanks to Tobias Grimm.

2010-03-16
- update Hispasat 1C/1D S30W0
- zero pids fix
- add Telstar 5 S97W0
- add ATSC channel syntax VDR-1.7.14
- add DVB-C symbol rates 5156, 5483
2009-12-30
- DVB-T UK: default to 8k transmission mode

2009-11-18
- allow any 5.xx DVB API
- removed some compiling warnings w. glibc-2.10.1/gcc-4.4.2
- update transponders S28E2

2009-08-08
- bugfix: increased buffer size for print_channel (scan.c:882; scan.c:1877) to avoid stack smashing,
see https://bugzilla.redhat.com/show_bug.cgi?id=513871 (reported by "Stephen" and Felix Kaechele)
- changed struct tvct_channel to avoid gcc-4.4 warnings
- is_nearly_same_frequency changed to allow 2MHz on sat; 500kHz otherwise
- bugfix: is_different_transponder_deep_scan:304 auto = "ROLLOFF_AUTO"
2009-05-23
- added S160E (requested by realkano)
- using configure scripts now. If anybody can help improving configure script - you're welcome..
- added README instruction how to use on UTF8 system
- skip some channels on dvb-c
- added missing 'break' in scan.c.598

2009-05-16
- small corrections to README
- fixed permission to folder doc
- fixed cr/lf on some files
- fixed missing space characters in channel names
- fixed small bug which causes endless loop in rare cases (DVB-T only)
- added man page for w_scan

2009-01-01/2009-04-25
- SYNTAX CHANGE:
w_scan now needs (!) command switch -c for defining your country. use uppercase two letters
for specifying your country, as defined by ISO 3166-1 use -c? for list:
DE = Germany
US = United States
GB = United Kingdom
FR = France
...
- restructured code
- changed DVB-C frequency list
- added freq list for Australia
- improved freq lists for FR, GB, FI
- added Option -e, extended scan flags, which allows to extend the scan to
* additional scan QAM_128 (default: QAM_AUTO with fallback to QAM_64 + QAM_256)
or
* scan these additional symbolrates (default: 6900 and 6875 only)
6111, 6250, 6790, 6811, 5900, 5000, 3450, 6950, 7000, 6952
NOTE: expert settings, will slow down by a factor of up to 10.
- reintroduced possibility to set manually
- DVB-C modulation (new option -Q)
- DVB-C coderate (new option -S)
- DVB-C inversion (option -i)
NOTE: these are experts settings only!
- applied some code cleanups from Michael Krufky
- applied 6MHz DVB-T scan patch for Taiwan (thanks to Michael Krufky)
- added onid to kaffeine channels (suggested by Zend HetMij)
- added support for parsing of dvbscan initial tuning data
(new option -I)
- started re-implementation of DVB-S (not yet finished)
-> new options:
-s (satellite setting, use -s? for list)
-r (rotor position)
-l (LNB setting)
-D (DiSEqC switch)
- w_scan now shares the list of satellites with wirbelscan plugin (0.0.5 pre1 or higher)
- removed folder patches (obsolet)
2008-11-06
- improved frontend detection (thanks to Hans Werner)
- added a patch for single frequency scanning, see folder patches.
This patch is not applied by default, if you need this feature,
please apply patch and recompile. (thanks to Martin Dudok van Heel)
2008-08-15
- added ATSC scanning support for terrestrial VSB & QAM Annex-B digital cable.
(thanks to Michael Krufky)
- removed vpid offset for H.264 channels
2008-07-20
- added Copyright note, following the license of 'scan' from linuxtv-dvb-apps.
- changed install location of {pci,usb}.{ids,classes} to /usr/share/w_scan
2007-12-09/2008-01-05
- added H.264/AVC Video support
- added ATSC A/53B Audio, ADTS Audio Stream, ISO/IEC 14496-3 Audio (not supp. up to now by vdr)
(thanks to Steven Ellis)
-additionally:
-- support for ca-ids, no longer just setting ca-id=1 for encrypted channels
-- support for language identifiers in vdr channels.conf
-- no longer searching for 'other services' by default.
-- added a lot of comments for information in moreverbose mode
-- Makefile target dist added
2007-09-09
- added kaffeine channels.dvb format, switch -k
2007-08-07
- w_scan will no longer stop if frontend params cannot be set correctly.
This is necessary, because newest mercurial dvb drivers seem to have sometimes
difficulties with scanning complete frequency range. Additionally some cards added
to pci.ids.
2006-09-03
- added output format (dvb)scan initial-tuning-data
2006-09-01
- applied w_scan-onid patch by Hartmut Birr which fixes that w_scan now
records original_network ID instead of network ID
- updated version of w_scan start script (which actually needs to be tested !)
2006-08-10
- w_scan start script (first version)
2006-07-05:
- removed QAM256 option "-Q", w_scan now uses either QAM_AUTO or (if not supported by hardware)
it will do a two-step scan starting with QAM64 and QAM256
2006-02-16:
- changed initialization for all cards, fix for airstar2 dvb-t and avermedia 771 dvb-t
- xine output option -X
- added dvb-c frequencies 113MHz, 121MHz and 858MHz, dvb-c freqs revised
- dvb-c now scanning sr=6900 *and* sr=6875 both by default, therefore removed option -s
- this version is tested with
- fujitsu-siemens dvb-c ff
- cinergy t2 usb2.0 dvb-t
- airstar2 dvb-t
- avertv avermedia 771 dvb-t
(please report other working/non-working cards to me..)
2005-07-11: first version

+ 229
- 0
w/w-scan-20170107/INSTALL View File

@@ -0,0 +1,229 @@
Copyright (C) 1994, 1995, 1996, 1999, 2000, 2001, 2002 Free Software
Foundation, Inc.

This file is free documentation; the Free Software Foundation gives
unlimited permission to copy, distribute and modify it.

Basic Installation
==================

These are generic installation instructions.

The `configure' shell script attempts to guess correct values for
various system-dependent variables used during compilation. It uses
those values to create a `Makefile' in each directory of the package.
It may also create one or more `.h' files containing system-dependent
definitions. Finally, it creates a shell script `config.status' that
you can run in the future to recreate the current configuration, and a
file `config.log' containing compiler output (useful mainly for
debugging `configure').

It can also use an optional file (typically called `config.cache'
and enabled with `--cache-file=config.cache' or simply `-C') that saves
the results of its tests to speed up reconfiguring. (Caching is
disabled by default to prevent problems with accidental use of stale
cache files.)

If you need to do unusual things to compile the package, please try
to figure out how `configure' could check whether to do them, and mail
diffs or instructions to the address given in the `README' so they can
be considered for the next release. If you are using the cache, and at
some point `config.cache' contains results you don't want to keep, you
may remove or edit it.

The file `configure.ac' (or `configure.in') is used to create
`configure' by a program called `autoconf'. You only need
`configure.ac' if you want to change it or regenerate `configure' using
a newer version of `autoconf'.

The simplest way to compile this package is:

1. `cd' to the directory containing the package's source code and type
`./configure' to configure the package for your system. If you're
using `csh' on an old version of System V, you might need to type
`sh ./configure' instead to prevent `csh' from trying to execute
`configure' itself.

Running `configure' takes awhile. While running, it prints some
messages telling which features it is checking for.

2. Type `make' to compile the package.

3. Optionally, type `make check' to run any self-tests that come with
the package.

4. Type `make install' to install the programs and any data files and
documentation.

5. You can remove the program binaries and object files from the
source code directory by typing `make clean'. To also remove the
files that `configure' created (so you can compile the package for
a different kind of computer), type `make distclean'. There is
also a `make maintainer-clean' target, but that is intended mainly
for the package's developers. If you use it, you may have to get
all sorts of other programs in order to regenerate files that came
with the distribution.

Compilers and Options
=====================

Some systems require unusual options for compilation or linking that
the `configure' script does not know about. Run `./configure --help'
for details on some of the pertinent environment variables.

You can give `configure' initial values for configuration parameters
by setting variables in the command line or in the environment. Here
is an example:

./configure CC=c89 CFLAGS=-O2 LIBS=-lposix

*Note Defining Variables::, for more details.

Compiling For Multiple Architectures
====================================

You can compile the package for more than one kind of computer at the
same time, by placing the object files for each architecture in their
own directory. To do this, you must use a version of `make' that
supports the `VPATH' variable, such as GNU `make'. `cd' to the
directory where you want the object files and executables to go and run
the `configure' script. `configure' automatically checks for the
source code in the directory that `configure' is in and in `..'.

If you have to use a `make' that does not support the `VPATH'
variable, you have to compile the package for one architecture at a
time in the source code directory. After you have installed the
package for one architecture, use `make distclean' before reconfiguring
for another architecture.

Installation Names
==================

By default, `make install' will install the package's files in
`/usr/local/bin', `/usr/local/man', etc. You can specify an
installation prefix other than `/usr/local' by giving `configure' the
option `--prefix=PATH'.

You can specify separate installation prefixes for
architecture-specific files and architecture-independent files. If you
give `configure' the option `--exec-prefix=PATH', the package will use
PATH as the prefix for installing programs and libraries.
Documentation and other data files will still use the regular prefix.

In addition, if you use an unusual directory layout you can give
options like `--bindir=PATH' to specify different values for particular
kinds of files. Run `configure --help' for a list of the directories
you can set and what kinds of files go in them.

If the package supports it, you can cause programs to be installed
with an extra prefix or suffix on their names by giving `configure' the
option `--program-prefix=PREFIX' or `--program-suffix=SUFFIX'.

Optional Features
=================

Some packages pay attention to `--enable-FEATURE' options to
`configure', where FEATURE indicates an optional part of the package.
They may also pay attention to `--with-PACKAGE' options, where PACKAGE
is something like `gnu-as' or `x' (for the X Window System). The
`README' should mention any `--enable-' and `--with-' options that the
package recognizes.

For packages that use the X Window System, `configure' can usually
find the X include and library files automatically, but if it doesn't,
you can use the `configure' options `--x-includes=DIR' and
`--x-libraries=DIR' to specify their locations.

Specifying the System Type
==========================

There may be some features `configure' cannot figure out
automatically, but needs to determine by the type of machine the package
will run on. Usually, assuming the package is built to be run on the
_same_ architectures, `configure' can figure that out, but if it prints
a message saying it cannot guess the machine type, give it the
`--build=TYPE' option. TYPE can either be a short name for the system
type, such as `sun4', or a canonical name which has the form:

CPU-COMPANY-SYSTEM

where SYSTEM can have one of these forms:

OS KERNEL-OS

See the file `config.sub' for the possible values of each field. If
`config.sub' isn't included in this package, then this package doesn't
need to know the machine type.

If you are _building_ compiler tools for cross-compiling, you should
use the `--target=TYPE' option to select the type of system they will
produce code for.

If you want to _use_ a cross compiler, that generates code for a
platform different from the build platform, you should specify the
"host" platform (i.e., that on which the generated programs will
eventually be run) with `--host=TYPE'.

Sharing Defaults
================

If you want to set default values for `configure' scripts to share,
you can create a site shell script called `config.site' that gives
default values for variables like `CC', `cache_file', and `prefix'.
`configure' looks for `PREFIX/share/config.site' if it exists, then
`PREFIX/etc/config.site' if it exists. Or, you can set the
`CONFIG_SITE' environment variable to the location of the site script.
A warning: not all `configure' scripts look for a site script.

Defining Variables
==================

Variables not defined in a site shell script can be set in the
environment passed to `configure'. However, some packages may run
configure again during the build, and the customized values of these
variables may be lost. In order to avoid this problem, you should set
them in the `configure' command line, using `VAR=value'. For example:

./configure CC=/usr/local2/bin/gcc

will cause the specified gcc to be used as the C compiler (unless it is
overridden in the site shell script).

`configure' Invocation
======================

`configure' recognizes the following options to control how it
operates.

`--help'
`-h'
Print a summary of the options to `configure', and exit.

`--version'
`-V'
Print the version of Autoconf used to generate the `configure'
script, and exit.

`--cache-file=FILE'
Enable the cache: use and save the results of the tests in FILE,
traditionally `config.cache'. FILE defaults to `/dev/null' to
disable caching.

`--config-cache'
`-C'
Alias for `--cache-file=config.cache'.

`--quiet'
`--silent'
`-q'
Do not print messages saying which checks are being made. To
suppress all normal output, redirect it to `/dev/null' (any error
messages will still be shown).

`--srcdir=DIR'
Look for the package's source code in directory DIR. Usually
`configure' can determine that directory automatically.

`configure' also accepts some other, not widely useful, options. Run
`configure --help' for more details.


+ 14
- 0
w/w-scan-20170107/Makefile.add View File

@@ -0,0 +1,14 @@
__VERSION=$(shell date +%Y%m%d)
__OLDVER=$(shell cat configure.in | grep AC_INIT | sed -e "s|\[|\\\[|g" -e "s|\]|\\\]|g")

version:
@echo "/* AUTOMATICALLY GENERATED - DO NOT EDIT MANUALLY */" > version.h
@echo "#ifndef W_SCAN_VERSION_H" >> version.h
@echo "#define W_SCAN_VERSION_H" >> version.h
@echo "uint version=$(__VERSION);" >> version.h
@echo "#endif" >> version.h
@echo "" >> version.h
@chmod a-x version.h
@sed -i -e "s|$(__OLDVER)|AC_INIT(\[$(PACKAGE)\]\, \[$(__VERSION)\])|" configure.in
autoconf


+ 28
- 0
w/w-scan-20170107/Makefile.am View File

@@ -0,0 +1,28 @@
#-----------------------------------------------------------------------------#
# Makefile.am for w_scan-20090524; generated by ./bootstrap.sh
# please send bug reports to http://wirbel.htpc-forum.de
#
#
# Simple MPEG/DVB parser to achieve network/service information without initial
# tuning data.
#
# The project's page is http://wirbel.htpc-forum.de/w_scan/index2.html
#-----------------------------------------------------------------------------#

include Makefile.add

AUTOMAKE_OPTIONS = dist-bzip2 no-dist-gzip
bin_PROGRAMS = w_scan
w_scan_SOURCES = atsc_psip_section.c atsc_psip_section.h config.h countries.c countries.h descriptors.c
w_scan_SOURCES += descriptors.h diseqc.c diseqc.h dump-dvbscan.c dump-dvbscan.h
w_scan_SOURCES += dump-vdr.c dump-vdr.h dump-xine.c dump-xine.h dump-mplayer.c dump-mplayer.h dump-vlc-m3u.c
w_scan_SOURCES += dump-vlc-m3u.h dvbscan.c dvbscan.h extended_frontend.h lnb.c lnb.h parse-dvbscan.c
w_scan_SOURCES += parse-dvbscan.h satellites.c satellites.h scan.c scan.h section.c section.h si_types.h
w_scan_SOURCES += tools.h tools.c emulate.c emulate.h dump-xml.h dump-xml.c
w_scan_SOURCES += version.h iconv_codes.c iconv_codes.h char-coding.c char-coding.h satellites.dat
bin_SCRIPTS =
dist_man_MANS = doc/w_scan.1
EXTRA_DIST = doc

AM_LDFLAGS = -lrt
AM_CFLAGS = -Wall -Wextra -Wno-comment -Wswitch-default -Wno-unused-parameter

+ 848
- 0
w/w-scan-20170107/Makefile.in View File

@@ -0,0 +1,848 @@
# Makefile.in generated by automake 1.11.5 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#-----------------------------------------------------------------------------#
# Makefile.am for w_scan-20090524; generated by ./bootstrap.sh
# please send bug reports to http://wirbel.htpc-forum.de
#
#
# Simple MPEG/DVB parser to achieve network/service information without initial
# tuning data.
#
# The project's page is http://wirbel.htpc-forum.de/w_scan/index2.html
#-----------------------------------------------------------------------------#


VPATH = @srcdir@
am__make_dryrun = \
{ \
am__dry=no; \
case $$MAKEFLAGS in \
*\\[\ \ ]*) \
echo 'am--echo: ; @echo "AM" OK' | $(MAKE) -f - 2>/dev/null \
| grep '^AM OK$$' >/dev/null || am__dry=yes;; \
*) \
for am__flg in $$MAKEFLAGS; do \
case $$am__flg in \
*=*|--*) ;; \
*n*) am__dry=yes; break;; \
esac; \
done;; \
esac; \
test $$am__dry = yes; \
}
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DIST_COMMON = README $(am__configure_deps) $(dist_man_MANS) \
$(srcdir)/Makefile.add $(srcdir)/Makefile.am \
$(srcdir)/Makefile.in $(srcdir)/config.h.in \
$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
depcomp install-sh missing
bin_PROGRAMS = w_scan$(EXEEXT)
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" \
"$(DESTDIR)$(man1dir)"
PROGRAMS = $(bin_PROGRAMS)
am_w_scan_OBJECTS = atsc_psip_section.$(OBJEXT) countries.$(OBJEXT) \
descriptors.$(OBJEXT) diseqc.$(OBJEXT) dump-dvbscan.$(OBJEXT) \
dump-vdr.$(OBJEXT) dump-xine.$(OBJEXT) dump-mplayer.$(OBJEXT) \
dump-vlc-m3u.$(OBJEXT) dvbscan.$(OBJEXT) lnb.$(OBJEXT) \
parse-dvbscan.$(OBJEXT) satellites.$(OBJEXT) scan.$(OBJEXT) \
section.$(OBJEXT) tools.$(OBJEXT) emulate.$(OBJEXT) \
dump-xml.$(OBJEXT) iconv_codes.$(OBJEXT) char-coding.$(OBJEXT)
w_scan_OBJECTS = $(am_w_scan_OBJECTS)
w_scan_LDADD = $(LDADD)
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
$(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
*) f=$$p;; \
esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
for p in $$list; do echo "$$p $$p"; done | \
sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
$(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
if (++n[$$2] == $(am__install_max)) \
{ print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
END { for (dir in files) print dir, files[dir] }'
am__base_list = \
sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
test -z "$$files" \
|| { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
|| { echo " ( cd '$$dir' && rm -f" $$files ")"; \
$(am__cd) "$$dir" && rm -f $$files; }; \
}
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I.@am__isrc@
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(w_scan_SOURCES)
DIST_SOURCES = $(w_scan_SOURCES)
am__can_run_installinfo = \
case $$AM_UPDATE_INFO_DIR in \
n|no|NO) false;; \
*) (install-info --version) >/dev/null 2>&1;; \
esac
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(dist_man_MANS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
if test -d "$(distdir)"; then \
find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
&& rm -rf "$(distdir)" \
|| { sleep 5 && rm -rf "$(distdir)"; }; \
else :; fi
GZIP_ENV = --best
DIST_ARCHIVES = $(distdir).tar.bz2
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
| sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
GREP = @GREP@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
__VERSION = $(shell date +%Y%m%d)
__OLDVER = $(shell cat configure.in | grep AC_INIT | sed -e "s|\[|\\\[|g" -e "s|\]|\\\]|g")
AUTOMAKE_OPTIONS = dist-bzip2 no-dist-gzip
w_scan_SOURCES = atsc_psip_section.c atsc_psip_section.h config.h \
countries.c countries.h descriptors.c descriptors.h diseqc.c \
diseqc.h dump-dvbscan.c dump-dvbscan.h dump-vdr.c dump-vdr.h \
dump-xine.c dump-xine.h dump-mplayer.c dump-mplayer.h \
dump-vlc-m3u.c dump-vlc-m3u.h dvbscan.c dvbscan.h \
extended_frontend.h lnb.c lnb.h parse-dvbscan.c \
parse-dvbscan.h satellites.c satellites.h scan.c scan.h \
section.c section.h si_types.h tools.h tools.c emulate.c \
emulate.h dump-xml.h dump-xml.c version.h iconv_codes.c \
iconv_codes.h char-coding.c char-coding.h satellites.dat
bin_SCRIPTS =
dist_man_MANS = doc/w_scan.1
EXTRA_DIST = doc
AM_LDFLAGS = -lrt
AM_CFLAGS = -Wall -Wextra -Wno-comment -Wswitch-default -Wno-unused-parameter
all: config.h
$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
am--refresh: Makefile
@:
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(srcdir)/Makefile.add $(am__configure_deps)
@for dep in $?; do \
case '$(am__configure_deps)' in \
*$$dep*) \
echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
$(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
&& exit 0; \
exit 1;; \
esac; \
done; \
echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
$(am__cd) $(top_srcdir) && \
$(AUTOMAKE) --gnu Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@case '$?' in \
*config.status*) \
echo ' $(SHELL) ./config.status'; \
$(SHELL) ./config.status;; \
*) \
echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
esac;
$(srcdir)/Makefile.add:

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
$(SHELL) ./config.status --recheck

$(top_srcdir)/configure: $(am__configure_deps)
$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4): $(am__aclocal_m4_deps)
$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):

config.h: stamp-h1
@if test ! -f $@; then rm -f stamp-h1; else :; fi
@if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
@rm -f stamp-h1
cd $(top_builddir) && $(SHELL) ./config.status config.h
$(srcdir)/config.h.in: $(am__configure_deps)
($(am__cd) $(top_srcdir) && $(AUTOHEADER))
rm -f stamp-h1
touch $@

distclean-hdr:
-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
@$(NORMAL_INSTALL)
@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
if test -n "$$list"; then \
echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
$(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
fi; \
for p in $$list; do echo "$$p $$p"; done | \
sed 's/$(EXEEXT)$$//' | \
while read p p1; do if test -f $$p; \
then echo "$$p"; echo "$$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
-e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
sed 'N;N;N;s,\n, ,g' | \
$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
{ d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
if ($$2 == $$4) files[d] = files[d] " " $$1; \
else { print "f", $$3 "/" $$4, $$1; } } \
END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
test -z "$$files" || { \
echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
$(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
} \
; done

uninstall-binPROGRAMS:
@$(NORMAL_UNINSTALL)
@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
files=`for p in $$list; do echo "$$p"; done | \
sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
-e 's/$$/$(EXEEXT)/' `; \
test -n "$$list" || exit 0; \
echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
cd "$(DESTDIR)$(bindir)" && rm -f $$files

clean-binPROGRAMS:
-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
w_scan$(EXEEXT): $(w_scan_OBJECTS) $(w_scan_DEPENDENCIES) $(EXTRA_w_scan_DEPENDENCIES)
@rm -f w_scan$(EXEEXT)
$(LINK) $(w_scan_OBJECTS) $(w_scan_LDADD) $(LIBS)
install-binSCRIPTS: $(bin_SCRIPTS)
@$(NORMAL_INSTALL)
@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
if test -n "$$list"; then \
echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
$(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
fi; \
for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
done | \
sed -e 'p;s,.*/,,;n' \
-e 'h;s|.*|.|' \
-e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
{ d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
if ($$2 == $$4) { files[d] = files[d] " " $$1; \
if (++n[d] == $(am__install_max)) { \
print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
else { print "f", d "/" $$4, $$1 } } \
END { for (d in files) print "f", d, files[d] }' | \
while read type dir files; do \
if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
test -z "$$files" || { \
echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
$(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
} \
; done

uninstall-binSCRIPTS:
@$(NORMAL_UNINSTALL)
@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
files=`for p in $$list; do echo "$$p"; done | \
sed -e 's,.*/,,;$(transform)'`; \
dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)

mostlyclean-compile:
-rm -f *.$(OBJEXT)

distclean-compile:
-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atsc_psip_section.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/char-coding.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/countries.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/descriptors.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/diseqc.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump-dvbscan.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump-mplayer.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump-vdr.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump-vlc-m3u.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump-xine.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump-xml.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dvbscan.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/emulate.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iconv_codes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lnb.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parse-dvbscan.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/satellites.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/scan.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/section.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tools.Po@am__quote@

.c.o:
@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(COMPILE) -c $<

.c.obj:
@am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
@am__fastdepCC_TRUE@ $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
@AMDEP_TRUE@@am__fastdepCC_FALSE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@ $(COMPILE) -c `$(CYGPATH_W) '$<'`
install-man1: $(dist_man_MANS)
@$(NORMAL_INSTALL)
@list1=''; \
list2='$(dist_man_MANS)'; \
test -n "$(man1dir)" \
&& test -n "`echo $$list1$$list2`" \
|| exit 0; \
echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
{ for i in $$list1; do echo "$$i"; done; \
if test -n "$$list2"; then \
for i in $$list2; do echo "$$i"; done \
| sed -n '/\.1[a-z]*$$/p'; \
fi; \
} | while read p; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
echo "$$d$$p"; echo "$$p"; \
done | \
sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
-e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
sed 'N;N;s,\n, ,g' | { \
list=; while read file base inst; do \
if test "$$base" = "$$inst"; then list="$$list $$file"; else \
echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
$(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
fi; \
done; \
for i in $$list; do echo "$$i"; done | $(am__base_list) | \
while read files; do \
test -z "$$files" || { \
echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
$(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
done; }

uninstall-man1:
@$(NORMAL_UNINSTALL)
@list=''; test -n "$(man1dir)" || exit 0; \
files=`{ for i in $$list; do echo "$$i"; done; \
l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
sed -n '/\.1[a-z]*$$/p'; \
} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
-e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
mkid -fID $$unique
tags: TAGS

TAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
set x; \
here=`pwd`; \
list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
shift; \
if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
test -n "$$unique" || unique=$$empty_fix; \
if test $$# -gt 0; then \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
"$$@" $$unique; \
else \
$(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
$$unique; \
fi; \
fi
ctags: CTAGS
CTAGS: $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
$(TAGS_FILES) $(LISP)
list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
unique=`for i in $$list; do \
if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
done | \
$(AWK) '{ files[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in files) print i; }; }'`; \
test -z "$(CTAGS_ARGS)$$unique" \
|| $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
$$unique

GTAGS:
here=`$(am__cd) $(top_builddir) && pwd` \
&& $(am__cd) $(top_srcdir) \
&& gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
@list='$(MANS)'; if test -n "$$list"; then \
list=`for p in $$list; do \
if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
if test -n "$$list" && \
grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/ /' >&2; \
echo " to fix them, install help2man, remove and regenerate the man pages;" >&2; \
echo " typically \`make maintainer-clean' will remove them" >&2; \
exit 1; \
else :; fi; \
else :; fi
$(am__remove_distdir)
test -d "$(distdir)" || mkdir "$(distdir)"
@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
list='$(DISTFILES)'; \
dist_files=`for file in $$list; do echo $$file; done | \
sed -e "s|^$$srcdirstrip/||;t" \
-e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
case $$dist_files in \
*/*) $(MKDIR_P) `echo "$$dist_files" | \
sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
sort -u` ;; \
esac; \
for file in $$dist_files; do \
if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
if test -d $$d/$$file; then \
dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
if test -d "$(distdir)/$$file"; then \
find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
fi; \
cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
else \
test -f "$(distdir)/$$file" \
|| cp -p $$d/$$file "$(distdir)/$$file" \
|| exit 1; \
fi; \
done
-test -n "$(am__skip_mode_fix)" \
|| find "$(distdir)" -type d ! -perm -755 \
-exec chmod u+rwx,go+rx {} \; -o \
! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
! -type d ! -perm -400 -exec chmod a+r {} \; -o \
! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
$(am__remove_distdir)
dist-bzip2: distdir
tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
$(am__remove_distdir)

dist-lzip: distdir
tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
$(am__remove_distdir)

dist-lzma: distdir
tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
$(am__remove_distdir)

dist-xz: distdir
tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
$(am__remove_distdir)

dist-tarZ: distdir
tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
$(am__remove_distdir)

dist-shar: distdir
shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
$(am__remove_distdir)

dist-zip: distdir
-rm -f $(distdir).zip
zip -rq $(distdir).zip $(distdir)
$(am__remove_distdir)

dist dist-all: distdir
tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration. Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
case '$(DIST_ARCHIVES)' in \
*.tar.gz*) \
GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
*.tar.bz2*) \
bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
*.tar.lzma*) \
lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
*.tar.lz*) \
lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
*.tar.xz*) \
xz -dc $(distdir).tar.xz | $(am__untar) ;;\
*.tar.Z*) \
uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
*.shar.gz*) \
GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
*.zip*) \
unzip $(distdir).zip ;;\
esac
chmod -R a-w $(distdir); chmod a+w $(distdir)
mkdir $(distdir)/_build
mkdir $(distdir)/_inst
chmod a-w $(distdir)
test -d $(distdir)/_build || exit 0; \
dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
&& dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
&& am__cwd=`pwd` \
&& $(am__cd) $(distdir)/_build \
&& ../configure --srcdir=.. --prefix="$$dc_install_base" \
$(AM_DISTCHECK_CONFIGURE_FLAGS) \
$(DISTCHECK_CONFIGURE_FLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) \
&& $(MAKE) $(AM_MAKEFLAGS) dvi \
&& $(MAKE) $(AM_MAKEFLAGS) check \
&& $(MAKE) $(AM_MAKEFLAGS) install \
&& $(MAKE) $(AM_MAKEFLAGS) installcheck \
&& $(MAKE) $(AM_MAKEFLAGS) uninstall \
&& $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
distuninstallcheck \
&& chmod -R a-w "$$dc_install_base" \
&& ({ \
(cd ../.. && umask 077 && mkdir "$$dc_destdir") \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
&& $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
} || { rm -rf "$$dc_destdir"; exit 1; }) \
&& rm -rf "$$dc_destdir" \
&& $(MAKE) $(AM_MAKEFLAGS) dist \
&& rm -rf $(DIST_ARCHIVES) \
&& $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
&& cd "$$am__cwd" \
|| exit 1
$(am__remove_distdir)
@(echo "$(distdir) archives ready for distribution: "; \
list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
@test -n '$(distuninstallcheck_dir)' || { \
echo 'ERROR: trying to run $@ with an empty' \
'$$(distuninstallcheck_dir)' >&2; \
exit 1; \
}; \
$(am__cd) '$(distuninstallcheck_dir)' || { \
echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
exit 1; \
}; \
test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
|| { echo "ERROR: files left after uninstall:" ; \
if test -n "$(DESTDIR)"; then \
echo " (check DESTDIR support)"; \
fi ; \
$(distuninstallcheck_listfiles) ; \
exit 1; } >&2
distcleancheck: distclean
@if test '$(srcdir)' = . ; then \
echo "ERROR: distcleancheck can only run from a VPATH build" ; \
exit 1 ; \
fi
@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
|| { echo "ERROR: files left in build directory after distclean:" ; \
$(distcleancheck_listfiles) ; \
exit 1; } >&2
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS) $(SCRIPTS) $(MANS) config.h
installdirs:
for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
test -z "$$dir" || $(MKDIR_P) "$$dir"; \
done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
if test -z '$(STRIP)'; then \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
install; \
else \
$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
"INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
fi
mostlyclean-generic:

clean-generic:

distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
@echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic mostlyclean-am

distclean: distclean-am
-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -rf ./$(DEPDIR)
-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
distclean-hdr distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-man

install-dvi: install-dvi-am

install-dvi-am:

install-exec-am: install-binPROGRAMS install-binSCRIPTS

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
-rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -rf $(top_srcdir)/autom4te.cache
-rm -rf ./$(DEPDIR)
-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man

uninstall-man: uninstall-man1

.MAKE: all install-am install-strip

.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
dist-gzip dist-lzip dist-lzma dist-shar dist-tarZ dist-xz \
dist-zip distcheck distclean distclean-compile \
distclean-generic distclean-hdr distclean-tags distcleancheck \
distdir distuninstallcheck dvi dvi-am html html-am info \
info-am install install-am install-binPROGRAMS \
install-binSCRIPTS install-data install-data-am install-dvi \
install-dvi-am install-exec install-exec-am install-html \
install-html-am install-info install-info-am install-man \
install-man1 install-pdf install-pdf-am install-ps \
install-ps-am install-strip installcheck installcheck-am \
installdirs maintainer-clean maintainer-clean-generic \
mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
uninstall-binSCRIPTS uninstall-man uninstall-man1


version:
@echo "/* AUTOMATICALLY GENERATED - DO NOT EDIT MANUALLY */" > version.h
@echo "#ifndef W_SCAN_VERSION_H" >> version.h
@echo "#define W_SCAN_VERSION_H" >> version.h
@echo "uint version=$(__VERSION);" >> version.h
@echo "#endif" >> version.h
@echo "" >> version.h
@chmod a-x version.h
@sed -i -e "s|$(__OLDVER)|AC_INIT(\[$(PACKAGE)\]\, \[$(__VERSION)\])|" configure.in
autoconf

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

+ 0
- 0
w/w-scan-20170107/NEWS View File


+ 108
- 0
w/w-scan-20170107/README View File

@@ -0,0 +1,108 @@
Hi,

this is a small channel scan tool for vdr which generates ATSC, DVB-C, DVB-S/S2 and DVB-T channels.conf files.
It's based on old "scan" tool from linuxtv-dvb-apps-1.1.0, the differences are:

- no initial tuning data needed, because scanning without this data is exactly
what a scan tool like this should do
- it detects automatically which DVB/ATSC card to use
- much more output formats, interfacing to other dtv software.

0. Newest Version
--------------------
always at http://wirbel-htpc-forum.de

1. Building w_scan
--------------------
Ususally not needed - w_scan is included as binary in this package.

1.a Using the autotools tool chain.
----------------------------------
If you really need to compile, just issue the usual

./configure
make
make install

NOTE: For compiling need up-to-date(!) dvb headers with DVB API 5.3 support
are needed. If configure fails complaining about missing or old DVB headers,
run